Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SSTEV

    java.lang.Object
      org.netlib.lapack.SSTEV

    public class SSTEV

extends java.lang.Object

    SSTEV is a simplified interface to the JLAPACK routine sstev.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SSTEV computes all eigenvalues and, optionally, eigenvectors of a
     *  real symmetric tridiagonal matrix A.
     *
     *  Arguments
     *  =========
     *
     *  JOBZ    (input) CHARACTER*1
     *          = 'N':  Compute eigenvalues only;
     *          = 'V':  Compute eigenvalues and eigenvectors.
     *
     *  N       (input) INTEGER
     *          The order of the matrix.  N >= 0.
     *
     *  D       (input/output) REAL array, dimension (N)
     *          On entry, the n diagonal elements of the tridiagonal matrix
     *          A.
     *          On exit, if INFO = 0, the eigenvalues in ascending order.
     *
     *  E       (input/output) REAL array, dimension (N-1)
     *          On entry, the (n-1) subdiagonal elements of the tridiagonal
     *          matrix A, stored in elements 1 to N-1 of E.
     *          On exit, the contents of E are destroyed.
     *
     *  Z       (output) REAL array, dimension (LDZ, N)
     *          If JOBZ = 'V', then if INFO = 0, Z contains the orthonormal
     *          eigenvectors of the matrix A, with the i-th column of Z
     *          holding the eigenvector associated with D(i).
     *          If JOBZ = 'N', then Z is not referenced.
     *
     *  LDZ     (input) INTEGER
     *          The leading dimension of the array Z.  LDZ >= 1, and if
     *          JOBZ = 'V', LDZ >= max(1,N).
     *
     *  WORK    (workspace) REAL array, dimension (max(1,2*N-2))
     *          If JOBZ = 'N', WORK is not referenced.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *          > 0:  if INFO = i, the algorithm failed to converge; i
     *                off-diagonal elements of E did not converge to zero.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SSTEV()`

Method Summary
`static void` | `SSTEV(java.lang.String jobz, int n, float[] d, float[] e, float[][] z, float[] work, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSTEV

    public SSTEV()

Method Detail

### SSTEV

    public static void SSTEV(java.lang.String jobz,
                             int n,
                             float[] d,
                             float[] e,
                             float[][] z,
                             float[] work,
                             intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD